shishi_error_printf(3)

NAME
shishi_error_printf - API function

SYNOPSIS
#include <shishi.h>

void shishi_error_printf(Shishi * handle, const char * format, ...);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * format
    printf style format string.

... printf style arguments.

DESCRIPTION
Sets the internal error description to a printf(3) formatted string. This function is mostly for Shishi's internal use, but if you develop an extension of Shishi, it may be useful to support the same infrastructure for error handling.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.